Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 157)
+++ lemon/time_measure.h	(revision 209)
@@ -1,5 +1,5 @@
-/* -*- C++ -*-
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
  *
- * This file is a part of LEMON, a generic C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
  * Copyright (C) 2003-2008
@@ -65,6 +65,6 @@
     double cstime;
     double rtime;
-  
-    void _reset() { 
+
+    void _reset() {
       utime = stime = cutime = cstime = rtime = 0;
     }
@@ -97,18 +97,18 @@
       FILETIME create, exit, kernel, user;
       if (GetProcessTimes(GetCurrentProcess(),&create, &exit, &kernel, &user)) {
-	utime = ch * user.dwHighDateTime + cl * user.dwLowDateTime;
-	stime = ch * kernel.dwHighDateTime + cl * kernel.dwLowDateTime;
-	cutime = 0;
-	cstime = 0;
+        utime = ch * user.dwHighDateTime + cl * user.dwLowDateTime;
+        stime = ch * kernel.dwHighDateTime + cl * kernel.dwLowDateTime;
+        cutime = 0;
+        cstime = 0;
       } else {
-	rtime = 0;
-	utime = 0;
-	stime = 0;
-	cutime = 0;
-	cstime = 0;
+        rtime = 0;
+        utime = 0;
+        stime = 0;
+        cutime = 0;
+        cstime = 0;
       }
-#endif      
-    }
-  
+#endif
+    }
+
     /// Constructor initializing with zero
     TimeStamp()
@@ -116,5 +116,5 @@
     ///Constructor initializing with the current time values of the process
     TimeStamp(void *) { stamp();}
-  
+
     ///Set every time value to zero
     TimeStamp &reset() {_reset();return *this;}
@@ -191,7 +191,7 @@
       return t-*this;
     }
-  
+
     friend std::ostream& operator<<(std::ostream& os,const TimeStamp &t);
-  
+
     ///Gives back the user time of the process
     double userTime() const
@@ -206,5 +206,5 @@
     ///Gives back the user time of the process' children
 
-    ///\note On <tt>WIN32</tt> platform this value is not calculated. 
+    ///\note On <tt>WIN32</tt> platform this value is not calculated.
     ///
     double cUserTime() const
@@ -214,5 +214,5 @@
     ///Gives back the user time of the process' children
 
-    ///\note On <tt>WIN32</tt> platform this value is not calculated. 
+    ///\note On <tt>WIN32</tt> platform this value is not calculated.
     ///
     double cSystemTime() const
@@ -224,9 +224,9 @@
   };
 
-  TimeStamp operator*(double b,const TimeStamp &t) 
+  TimeStamp operator*(double b,const TimeStamp &t)
   {
     return t*b;
   }
-  
+
   ///Prints the time counters
 
@@ -300,8 +300,8 @@
     TimeStamp start_time; //This is the relativ start-time if the timer
                           //is _running, the collected _running time otherwise.
-    
+
     void _reset() {if(_running) start_time.stamp(); else start_time.reset();}
-  
-  public: 
+
+  public:
     ///Constructor.
 
@@ -332,5 +332,5 @@
 
     ///Start the time counters
-    
+
     ///This function starts the time counters.
     ///
@@ -338,16 +338,16 @@
     ///until the same amount of \ref stop() is called.
     ///\sa stop()
-    void start() 
+    void start()
     {
       if(_running) _running++;
       else {
-	_running=1;
-	TimeStamp t;
-	t.stamp();
-	start_time=t-start_time;
+        _running=1;
+        TimeStamp t;
+        t.stamp();
+        start_time=t-start_time;
       }
     }
 
-    
+
     ///Stop the time counters
 
@@ -355,5 +355,5 @@
     ///once, then the same number of stop() execution is necessary the really
     ///stop the timer.
-    /// 
+    ///
     ///\sa halt()
     ///\sa start()
@@ -361,10 +361,10 @@
     ///\sa reset()
 
-    void stop() 
+    void stop()
     {
       if(_running && !--_running) {
-	TimeStamp t;
-	t.stamp();
-	start_time=t-start_time;
+        TimeStamp t;
+        t.stamp();
+        start_time=t-start_time;
       }
     }
@@ -384,11 +384,11 @@
     ///\sa reset()
 
-    void halt() 
+    void halt()
     {
       if(_running) {
-	_running=0;
-	TimeStamp t;
-	t.stamp();
-	start_time=t-start_time;
+        _running=0;
+        TimeStamp t;
+        t.stamp();
+        start_time=t-start_time;
       }
     }
@@ -403,6 +403,6 @@
     ///zero).
     int running()  { return _running; }
-    
-    
+
+
     ///Restart the time counters
 
@@ -410,10 +410,10 @@
     ///a reset() and a start() calls.
     ///
-    void restart() 
+    void restart()
     {
       reset();
       start();
     }
-    
+
     ///@}
 
@@ -434,5 +434,5 @@
     ///Gives back the ellapsed user time of the process' children
 
-    ///\note On <tt>WIN32</tt> platform this value is not calculated. 
+    ///\note On <tt>WIN32</tt> platform this value is not calculated.
     ///
     double cUserTime() const
@@ -442,5 +442,5 @@
     ///Gives back the ellapsed user time of the process' children
 
-    ///\note On <tt>WIN32</tt> platform this value is not calculated. 
+    ///\note On <tt>WIN32</tt> platform this value is not calculated.
     ///
     double cSystemTime() const
@@ -488,5 +488,5 @@
   ///\sa NoTimeReport
   ///\todo There is no test case for this
-  class TimeReport : public Timer 
+  class TimeReport : public Timer
   {
     std::string _title;
@@ -499,13 +499,13 @@
     ///\param run Sets whether the timer should start immediately.
 
-    TimeReport(std::string title,std::ostream &os=std::cerr,bool run=true) 
+    TimeReport(std::string title,std::ostream &os=std::cerr,bool run=true)
       : Timer(run), _title(title), _os(os){}
     ///\e Prints the ellapsed time on destruction.
-    ~TimeReport() 
+    ~TimeReport()
     {
       _os << _title << *this << std::endl;
     }
   };
-      
+
   ///'Do nothing' version of \ref TimeReport
 
@@ -528,5 +528,5 @@
     void start() {}
     void stop() {}
-    void halt() {} 
+    void halt() {}
     int running() { return 0; }
     void restart() {}
@@ -537,7 +537,7 @@
     double realTime() const { return 0; }
   };
-      
+
   ///Tool to measure the running time more exactly.
-  
+
   ///This function calls \c f several times and returns the average
   ///running time. The number of the executions will be choosen in such a way
@@ -551,5 +551,5 @@
   ///        total running time will be written into <tt>*full_time</tt>.
   ///\return The average running time of \c f.
-  
+
   template<class F>
   TimeStamp runningTimeTest(F f,double min_time=10,unsigned int *num = NULL,
@@ -567,6 +567,6 @@
     return full/total;
   }
-  
-  /// @}  
+
+  /// @}
 
 
